.bd-main {
  grid-area: main;
  grid-template-areas: "intro toc" "content toc";
}

.bd-intro {
  grid-area: intro;
}

.bd-toc {
  grid-area: toc;
  overflow-y: auto;
  position: -webkit-sticky;
  position: sticky;
  right: 0;
  top: 5rem;
  z-index: 2;
}

.bd-content {
  grid-area: content;
  min-width: 1px;
}

.bd-toc-body {
  border-radius: 10px;
  margin-bottom: 1.5rem;
  overflow: hidden;
  padding: 20px 10px;
}

.table-of-contents.sticky-md-top {
  top: 50px;
}

.fullscreen .sticky-top {
  top: 15px;
}

.bd-toc-body p,
.bd-toc-body ul {
  list-style: none;
  margin-bottom: 0;
}

.bd-toc-body h2 {
  margin-bottom: 20px;
}

.bd-toc-body li {
  margin-top: 3px;
  padding-bottom: 3px;
}

.bd-toc-body li::before {
  display: block;
  font-size: 16px;
  font-weight: 900;
  left: 30px;
  position: absolute;
}

.dropdown-share .dropdown-menu {
  margin-top: 12px !important;
}

.dropdown-share .dropdown-menu::before {
  content: "";
  display: inline-block;
  left: 9px;
  position: absolute;
  top: -7px;
}

.mod-post .dropdown-menu::after {
  content: "";
  display: inline-block;
  left: 10px;
  position: absolute;
  top: -6px;
}

.mod-post .dropdown-menu .icon {
  font-size: 95%;
  text-align: left;
}

.mod-post .post-video {
  margin-bottom: 15px;
}

.mod-post .post-author {
  font-style: italic;
  font-weight: bold;
  margin-bottom: 15px;
  margin-top: 15px;
  text-align: right;
}

.publish-date {
  font-size: 90%;
}

.font-size-top {
  height: 40px;
  margin-top: -50px;
  opacity: 0.7;
  padding-left: 14px;
  position: fixed;
  right: 5px;
  text-align: left;
  top: 45%;
  width: 40px;
  z-index: 999;
}

.increaseFontsize.font-size-top {
  margin-top: -100px;
}

.font-size-top:disabled {
  border: 0;
}

.mod-post .post-author span {
  display: inline-block;
  margin-left: 10px;
}

.mod-post .post-i {
  color: var(--site-post-i-text-color);
}

.mod-post .post-content img {
  border-radius: 4px;
  height: auto;
  margin: 0 auto;
  max-width: 100%;
}

.mod-post .post-content {
  position: relative;
}

.mod-post .post-description {
  margin-bottom: 1rem;
}

.mod-post .post-description>p {
  margin-bottom: 0;
}

.mod-post .post-content figure {
  text-align: center;
}

.mod-post img.avatar {
  height: 50px;
  width: 50px;
}

.mod-post .post-content h2 {
  line-height: 1.5;
  margin-bottom: 1rem;
}

.mod-post .post-content h3 {
  line-height: 1.5;
  margin-bottom: 1rem;
  padding-left: 20px;
}

.mod-post .post-content h4 {
  line-height: 1.5;
  margin-bottom: 1rem;
  padding-left: 25px;
}

.mod-post .post-content h5 {
  line-height: 1.5;
  margin-bottom: 1rem;
  padding-left: 30px;
}

.mod-post .post-content figcaption {
  font-style: italic;
  text-align: center;
}

.mod-post .collapse-book-content {
  scroll-margin-top: 60px;
}

.mod-post .mod-post .nav-pills li p {
  margin: 0;
}

.mod-post .post-slideshow {
  margin-left: -12px;
  margin-right: -12px;
}

.mod-post .row-masonry .card .thumb img {
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  -o-transition: all 0.3s;
  transition: all 0.3s;
}

.mod-post .row-masonry .card .thumb:hover img {
  -ms-transform: scale(1.1);
  -moz-transform: scale(1.1);
  -webkit-transform: scale(1.1);
  -o-transform: scale(1.1);
  transform: scale(1.1);
}

.media-modal .modal-dialog {
  background-color: transparent;
  border-radius: 0;
}

.media-modal .modal-content {
  border: 0;
}

.media-modal .modal-header {
  background-color: transparent;
  border-bottom: 0;
  padding-bottom: 0;
  z-index: 1030;
}

.media-modal .modal-body {
  height: 100%;
  width: 100%;
}

.media-modal .content-image {
  height: 100%;
  overflow-x: hidden;
  width: 100%;
}

.media-modal .image-fading {
  opacity: 0;
}


/* Muc luc */

.categories-content {
  border-radius: 50%;
  height: 40px;
  opacity: 0.7;
  position: fixed;
  right: 5px;
  top: 45%;
  width: 40px;
  z-index: 999;
}

.table-of-contents-toggle {
  border-radius: 50%;
  height: 40px;
  margin-top: 50px;
  opacity: 0.7;
  position: fixed;
  right: 5px;
  bottom: 350px;
  width: 40px;
  z-index: 999;
}

.table-of-contents .nav-item {
  position: relative;
}

.table-of-contents .nav-item-parent {
  padding-right: 20px;
}

.table-of-contents .nav-item-parent .btn-collapse::before {
  background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3E%3C/svg%3E");
  content: " ";
  display: block;
  height: 10px;
  transition: transform 0.2s ease-out;
  width: 10px;
}

.table-of-contents .nav-item-parent.actived .btn-collapse::before {
  transform: rotate(-180deg);
}

.giai-thich-tu-ngu small>p {
  position: relative;
}

.mod-post p {
  word-wrap: break-word;
}

.bd-toc-body {
  border: 1px solid #d7dce3;
  box-shadow: 0px 6px 15px -5px rgba(0, 0, 0, 0.1);
}

.mod-post .post-header {
  color: var(--site-post-header-text-color);
}

.mod-post .poem {
  border-left: 1px solid var(--site-post-header-text-color);
  padding-left: .5rem;
}


.mod-post .nav-pills .nav-link {
  color: var(--bs-body-color);
}

.mod-post .nav-pills .nav-link.active {
  background-color: var(--site-post-table-of-contents-nav-link-active-bg-color);
  color: var(--site-post-table-of-contents-nav-link-active-text-color);
}

.mod-post .offcanvas-body .dropdown-menu .dropdown-item {
  background-color: transparent;
}

.mod-post .offcanvas-body .dropdown-menu .dropdown-item:hover {
  color: var(--site-post-header-text-color);
}

.mod-post .offcanvas-body .dropdown-menu .dropdown-item:visited,
.mod-post .offcanvas-body .dropdown-menu .dropdown-item,
.mod-post .offcanvas-body a,
.mod-post .offcanvas-body a:visited {
  color: var(--bs-body-color);
}

.mod-post .offcanvas-body .dropdown-item.actived,
.mod-post .offcanvas-body a.actived {
  background-color: transparent;
  color: var(--site-post-header-text-color);
}


@media (min-width: 768px) {
  .bd-toc {
    width: 300px;
  }

  .bd-toc-body li::before {
    left: 20px;
  }

  .mod-post .post-slideshow {
    margin-left: initial;
    margin-right: initial;
  }

  .table-of-contents {
    margin-left: 15px;
    max-height: calc(100vh - 100px);
    max-width: 400px;
    overflow-y: auto;
    word-break: break-word;
  }

  .fullscreen .table-of-contents {
    max-height: calc(100vh - 40px);
  }

  .media-modal .modal-content {
    height: 100vh;
  }
}